Package: org.gmetrics.util.io

## [Groovy] Class UrlResource

- org.gmetrics.util.io.UrlResource

- All Implemented Interfaces and Traits:
    Resource

      class UrlResource

  A Resource implementation based on java.net.URL.

  This is an internal class and its API is subject to change.
  Authors:
    Chris Mair
  Version:
    \$Revision: 24 \$ - \$Date: 2009-12-10 21:17:05 -0500 (Thu, 10 Dec 2009) \$

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `path`

  - ### Constructor Summary

    Constructors
    Constructor and description

    `UrlResource (String path)`
    Construct a new FileResource
    path:
      - the filesystem path to the file.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `InputStream` | `getInputStream()` Open a FileInputStream on the file

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### final String path

  - ### Constructor Detail

    - #### UrlResource(String path)

      Construct a new FileResource

      path:
        - the filesystem path to the file. May be absolute or relative.

  - ### Method Detail

    - #### InputStream getInputStream()

      Open a FileInputStream on the file

      throws:
        IOException - if an error occurs opening the InputStream